curl --request GET \
--url https://padelapi.org/api/matches \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/matches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"url": "<string>",
"category": "men",
"draw": "main",
"watchability": 123,
"round": 123,
"round_name": "<string>",
"index": 123,
"seeds": "<string>",
"played_at": "<string>",
"schedule_label": "<string>",
"scheduled_at": "<string>",
"scheduled_at_local": "<string>",
"court": "<string>",
"court_order": 123,
"status": "scheduled",
"score": "<string>",
"winner": "<string>",
"started_time": "<string>",
"started_time_local": "<string>",
"duration": "<string>",
"players": {
"team_1": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"side": "drive",
"connections": "<string>"
}
],
"team_2": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"side": "drive",
"connections": "<string>"
}
]
},
"updated_at": "<string>",
"connections": "<string>",
"tournament": {
"id": 123,
"self": "<string>",
"name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"location": "<string>",
"venue": {
"name": "<string>",
"address": "<string>"
},
"country": "<string>",
"timezone": "<string>",
"level": "major",
"status": "pending",
"court_type": "indoor",
"prize": {
"amount": 123,
"currency": "<string>"
},
"start_date": "<string>",
"end_date": "<string>",
"winners": {},
"links": "<string>",
"updated_at": "<string>",
"connections": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "Subscription required."
}{
"message": "<string>",
"errors": {}
}List Matches
Endpoint to retrieve all matches with filters for date range, round, category, and court. Supports sorting and pagination.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date after the match was played in YYYY-MM-DD format.
Date before the match was played in YYYY-MM-DD format.
Round of the match (1 = Final, 2 = Semifinal, 4 = Quarterfinal, 8 = Round of 16, 16 = Round of 32, 32 = Round of 64)
1, 2, 4, 8, 16, 32 Category of the match. Either men or women.
men, women Draw the match belongs to: main, qualy, or all for both. Defaults to main.
main, qualy, all Name of the court where the match was played.
Filter matches updated after this datetime in ISO 8601 format.
Filter matches updated before this datetime in ISO 8601 format.
Name of the parameter to sort the tournaments by.
watchability, round, played_at, updated_at Order of the sorting, either asc or desc.
asc, desc